Subject: Re: [PATCH] ARM: multi_v7_defconfig: enable drm imx support

From: Shawn Guo <[email-masked]>
Date: Wed, 19 Feb 2020 17:11:39 +0800

On Wed, Feb 19, 2020 at 09:48:23AM +0100, Christian Gmeiner wrote:
> Am Di., 18. Feb. 2020 um 10:14 Uhr schrieb Shawn Guo <[email-masked]>:
> >
> > On Mon, Feb 17, 2020 at 01:09:32PM +0100, Christian Gmeiner wrote:
> > > Am Mo., 17. Feb. 2020 um 05:19 Uhr schrieb Shawn Guo <[email-masked]>:
> > > >
> > > > On Mon, Feb 10, 2020 at 02:30:12PM +0100, Christian Gmeiner wrote:
> > > > > Am Mo., 10. Feb. 2020 um 11:58 Uhr schrieb Krzysztof Kozlowski
> > > > > <[email-masked]>:
> > > > > >
> > > > > > On Mon, 10 Feb 2020 at 11:54, Christian Gmeiner
> > > > > > <[email-masked]> wrote:
> > > > > > >
> > > > > > > Am Fr., 24. Jan. 2020 um 09:44 Uhr schrieb Christian Gmeiner
> > > > > > > <[email-masked]>:
> > > > > > > >
> > > > > > > > Makes it possible to multi v7 defconfig for stm32 and imx based devices with
> > > >
> > > > What do you mean by stm32 based devices here?
> > > >
> > >
> > > CONFIG_ARCH_STM32 - I have a STM32MP157C-DK2 in my board farm and
> > > would love to use
> > > multi_v7 for imx6 and stm32.
> >
> > The patch is all about enabling drm-imx driver support.  The commit log
> > gives the impression that drm-imx driver also works on stm32 devices.
> > Is that the case?
> >
> 
> No - the common thing both share is etnaviv.

I did not know that before, and thanks for the information.  But looking
at the code change, there is nothing about etnaviv driver, and it's all
about drm-imx driver.  So I'm still questioning why stm32 needs to be
mentioned in the commit log at all.

> The patch subject "ARM:
> multi_v7_defconfig: enable drm imx support" is fine

Agreed.  It's perfect.

> I think but in the commit message I missed the verb so this should be
> a better one:
> 
> --->8---
> ARM: multi_v7_defconfig: enable drm imx support
> 
> Makes it possible to use multi v7 defconfig for stm32 and imx based devices with
> full drm support.
> --->8---

I don't think 'stm32' should be there, as the code change in this commit
has nothing to do with stm32, if I understand it correctly.

> How shall I proceed to get this change in?

I can edit the commit log when applying.  But we need to agree on what
it should be first.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel